Smart Client on Ubuntu Desktop 10.x with JRE 1.5

Questions, answers, tips and ideas on Servoy Client

Smart Client on Ubuntu Desktop 10.x with JRE 1.5

Postby erikd » Tue Mar 01, 2011 4:56 am

We have a Servoy application with a customized client plugin. In our login module we call it as "plugins.our_plugin.methodReturningLongData();". When I execute the application in Windows, the plugin is instantiated and can be used in our Servoy app. However, when I tested it in Linux Ubuntu environment, the plugin is not instantiated and returns undefined. This causes the application to display "TypeError: Cannot call method 'methodReturningLongData' of undefined (file#111)"

Both Windows and Ubuntu client systems are accessing the same app server. Prior the execution of the application in Ubuntu environment, Java cache has been cleared which means it gets the full copy of the application.

Does Servoy have additional configuration details on how to run Servoy apps in an Ubuntu environment?
erikd
 
Posts: 445
Joined: Wed Aug 11, 2010 2:32 am

Re: Smart Client on Ubuntu Desktop 10.x with JRE 1.5

Postby jcompagner » Tue Mar 01, 2011 11:26 am

under windows what is the the java version?
is that also 1.5?
It seems that your plugin didn't load, maybe this is because your plugin is compiled with java 6 and therefor will not run on java 5.
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8266
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Smart Client on Ubuntu Desktop 10.x with JRE 1.5

Postby rgansevles » Tue Mar 01, 2011 7:08 pm

Erik,

Also make sure that suns (oracles) java is installed and not the (ubuntu defaautl) openjdk.

Rob
Rob Gansevles
Servoy
User avatar
rgansevles
 
Posts: 1899
Joined: Wed Nov 15, 2006 6:17 pm
Location: Amersfoort, NL

Re: Smart Client on Ubuntu Desktop 10.x with JRE 1.5

Postby erikd » Tue Mar 01, 2011 11:40 pm

jcompagner wrote:under windows what is the the java version?
is that also 1.5?
It seems that your plugin didn't load, maybe this is because your plugin is compiled with java 6 and therefor will not run on java 5.


Thanks for the reply. I already considered this that's why I recompiled my plugin to java 5. But nothing works still. The plugin still returns null.
erikd
 
Posts: 445
Joined: Wed Aug 11, 2010 2:32 am

Re: Smart Client on Ubuntu Desktop 10.x with JRE 1.5

Postby erikd » Tue Mar 01, 2011 11:41 pm

rgansevles wrote:Erik,

Also make sure that suns (oracles) java is installed and not the (ubuntu defaautl) openjdk.

Rob


Thanks for the reply. I already considered this. I uninstalled openJdk and installed Java 1.5 on Ubuntu 10.
erikd
 
Posts: 445
Joined: Wed Aug 11, 2010 2:32 am

Re: Smart Client on Ubuntu Desktop 10.x with JRE 1.5

Postby erikd » Wed Mar 02, 2011 2:17 am

I moved to JDK 1.6 for both Ubuntu and Servoy plugin. This did the trick. Thanks for the reminders.
erikd
 
Posts: 445
Joined: Wed Aug 11, 2010 2:32 am

Re: Smart Client on Ubuntu Desktop 10.x with JRE 1.5

Postby ptalbot » Wed Mar 02, 2011 5:35 am

You should always choose a target of Java 5 for your plugins, since this is what Servoy is currently targeting.
In Eclipse, it's easy, just set the compile target of your project (or your overall preferences) to Java 5.
Patrick Talbot
Freelance - Open Source - Servoy Valued Professional
http://www.servoy-stuff.net
https://www.servoyforge.net
--------------------------------------------
Servoy 5.2.16 / 6.0.9 / 6.1.6 / 7.3.1
All OSes / Java 5 & 6 & 7
User avatar
ptalbot
 
Posts: 1615
Joined: Wed Mar 11, 2009 5:13 am
Location: Montreal, QC


Return to Servoy Client

Who is online

Users browsing this forum: No registered users and 0 guests